| **Documentation**   | **Travis**     | **AppVeyor** | **Citation**
|:--------:|:--------:|:---------------:|:------:|
|[![](https://img.shields.io/badge/docs-online-blue.svg)](https://juliamusic.github.io/JuliaMusic_documentation.jl/latest/) | [![Build Status](https://travis-ci.org/JuliaMusic/MusicManipulations.jl.svg?branch=master)](https://travis-ci.org/JuliaMusic/MusicManipulations.jl) | [![Build status](https://ci.appveyor.com/api/projects/status/3a1l1ufc7sv0wi4g?svg=true)](https://ci.appveyor.com/project/JuliaDynamics/musicmanipulations-jl-yyhro) |  [![status](http://joss.theoj.org/papers/e0cfc67982f857ed96d906ff2266aa15/status.svg)](http://joss.theoj.org/papers/e0cfc67982f857ed96d906ff2266aa15)

* Manipulate music data (translate/transpose etc)
* Advanced music data extraction
* Quantize/classify notes
* Take your music practice to the next level
* Print notes and midi files (the Julia `struct`s) directly into a staff using MuseScore.
* And more!

For more details please see the official documentation.

## Citing

If you used **MIDI.jl** or **MusicManipulations.jl** in research that resulted in publication, then please cite our paper using the following BibTeX entry:
```latex
@article{Datseris2019,
  doi = {10.21105/joss.01166},
  url = {https://doi.org/10.21105/joss.01166},
  year  = {2019},
  month = {mar},
  publisher = {The Open Journal},
  volume = {4},
  number = {35},
  pages = {1166},
  author = {George Datseris and Joel Hobson},
  title = {{MIDI}.jl: Simple and intuitive handling of MIDI data.},
  journal = {The Journal of Open Source Software}
}
```
